Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2243614 - perl-Class-Date-1.1.17-17.fc40 FTBFS: t/50_timezone.t fails without tzdata package
Summary: perl-Class-Date-1.1.17-17.fc40 FTBFS: t/50_timezone.t fails without tzdata pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Class-Date
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-10-12 07:40 UTC by Petr Pisar
Modified: 2023-11-18 01:37 UTC (History)
3 users (show)

Fixed In Version: perl-Class-Date-1.1.17-19.fc40 perl-Class-Date-1.1.17-19.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-08 16:04:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-10-12 07:40:03 UTC
perl-Class-Date-1.1.17-17.fc40 fails to build in Fedora 40 because a test fails:

# Env::C version 0.15 loaded
#   Failed test 'tzdst'
#   at t/50_timezone.t line 18.
#          got: 'CET'
#     expected: 'CEST'
#   Failed test 'epoch'
#   at t/50_timezone.t line 19.
#          got: '1020470462'
#     expected: '1020463262'
    #   Failed test 'date2'
    #   at t/50_timezone.t line 23.
    #          got: '2002-05-04 00:01:02'
    #     expected: '2002-05-03 22:01:02'
    #   Failed test 'epoch'
    #   at t/50_timezone.t line 29.
    #          got: '1020470462'
    #     expected: '1020463262'
    # Looks like you failed 2 tests of 4.
#   Failed test 'to GMT'
#   at t/50_timezone.t line 30.
# Looks like you failed 3 tests of 8.
t/50_timezone.t ......... 
Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/8 subtests 

This is triggered by a removal of tzdata from a minimal build root.
The same problem exists in Fedora 39.

Comment 1 Fedora Update System 2023-11-08 16:01:41 UTC
FEDORA-2023-77bfc57395 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-77bfc57395

Comment 2 Fedora Update System 2023-11-08 16:04:28 UTC
FEDORA-2023-77bfc57395 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2023-11-09 06:47:53 UTC
FEDORA-2023-c329155c7b has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c329155c7b

Comment 4 Fedora Update System 2023-11-10 02:18:17 UTC
FEDORA-2023-c329155c7b has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c329155c7b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c329155c7b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-11-18 01:37:53 UTC
FEDORA-2023-c329155c7b has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.